<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "body-content-wrapper" div.
 *
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo('charset'); ?>" />
		<?php
            if ( is_singular() && pings_open() ) :
                printf( '<link rel="pingback" href="%s">' . "\n", get_bloginfo( 'pingback_url' ) );
            endif;
        ?>
		<meta name="viewport" content="width=device-width" />
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<div id="body-content-wrapper">

			<nav id="navmain">
				<?php wp_nav_menu( array( 'theme_location' => 'primary',
										  'fallback_cb'    => 'wp_page_menu',
										  
										  ) ); ?>
			</nav><!-- #navmain -->
			
			<div id="site-content">
				<header id="header-main-fixed">

					<div id="header-content-wrapper">
						<div class="menu-container">
							<div class="bar1"></div>
							<div class="bar2"></div>
							<div class="bar3"></div>
						</div>
						<div id="header-right">
							<?php
								// display shopping cart
								if ( class_exists( 'WooCommerce' ) ) :
								
									global $woocommerce;
							?>
									<a class="cart-contents" href="<?php echo wc_get_cart_url(); ?>" 
										title="<?php esc_html_e('View your shopping cart', 'zenether'); ?>">
											<?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'zenether'), $woocommerce->cart->cart_contents_count);?> - <?php echo $woocommerce->cart->get_cart_total(); ?>
									</a>
									
									<div id="cart-popup-content">
									
										<div class="widget_shopping_cart_content"></div>
									
									</div>
							<?php
								endif;
							?>
						</div>
						<div id="header-logo">
							<?php
								if ( function_exists( 'the_custom_logo' ) ) :

									the_custom_logo();

								endif;

								$header_text_color = get_header_textcolor();

							    if ( 'blank' !== $header_text_color ) :
							?>    
							        <div id="site-identity">

							        	<a href="<?php echo esc_url( home_url('/') ); ?>"
							        		title="<?php esc_attr( get_bloginfo('name') ); ?>">

							        		<h1 class="entry-title">
							        			<?php echo esc_html( get_bloginfo('name') ); ?>
											</h1>
							        	</a>
							        	<strong>
							        		<?php echo esc_html( get_bloginfo('description') ); ?>
							        	</strong>
							        </div>
							<?php
							    endif;
							?>
						</div><!-- #header-logo -->

						
						
						<div class="clear">
						</div><!-- .clear -->

					</div><!-- #header-content-wrapper -->


					<?php if ( is_front_page() && has_header_image() ) : ?>
						<div id="hdr-img-content">
							<?php

								$zenetherHdrSectionTitle = get_theme_mod('zenether_header_img_ttl', null);
								$zenetherHdrSectionText = get_theme_mod('zenether_header_img_txt', null);
								$zenetherHdrSectionLinkText = get_theme_mod('zenether_header_img_linktxt', null);
								$zenetherHdrSectionLinkURL = get_theme_mod('zenether_header_img_link', null);
							?>

							<?php if ( !empty( $zenetherHdrSectionTitle ) ) : ?>

									<h1><?php echo esc_html( $zenetherHdrSectionTitle ) ?></h1>

							<?php endif; ?>

							<?php if ( !empty( $zenetherHdrSectionText ) ) : ?>

									<p><?php echo esc_html( $zenetherHdrSectionText ) ?></p>

							<?php endif; ?>

							<?php if ( !empty( $zenetherHdrSectionLinkText )
									&& !empty( $zenetherHdrSectionLinkURL ) ) : ?>

									<a class="hdr-read-more"
										title="<?php echo esc_attr( $zenetherHdrSectionLinkText ); ?>"
										href="<?php echo esc_url( $zenetherHdrSectionLinkURL ); ?>">
										<?php echo esc_attr( $zenetherHdrSectionLinkText ); ?>	
									</a>

							<?php endif; ?>
						</div>

					<?php endif; ?>

				</header><!-- #header-main-fixed -->
				<div class="clear">
				</div><!-- .clear -->
