(function($) {

	"use strict";

	$( document ).ready(function() {

		if ($('#wpadminbar').length > 0) {
		
			$('#header-main-fixed').css('top', $('#wpadminbar').height() + 'px');
			$('#wpadminbar').css('position', 'fixed');
		}

		$(window).scroll(function () {

			if ($(this).scrollTop() > 100) {

				$('.scrollup').fadeIn();

			} else {

				$('.scrollup').fadeOut();

			}
		});

		$('.scrollup').click(function () {
			
			$("html, body").animate({
				  scrollTop: 0
			  }, 600);

			return false;
		});

		$('.menu-container').on('click', function(e) {

			e.stopPropagation();

    		$('#body-content-wrapper').toggleClass('open-menu');

		});

		zenether_mainMenuInit();

		zenether_initMiniCartEvents();

		$('#navmain > div > ul > li').each(
	       function() {
	         if ($(this).find('> ul.sub-menu').length > 0) {

	           $(this).prepend('<span class="sub-menu-item-toggle"></span>');
	         }
	       }
	     );

	   $('.sub-menu-item-toggle').on('click', function(e) {

	     e.stopPropagation();

	     var subMenu = $(this).parent().find('> ul.sub-menu');

	     $('#navmain ul ul.sub-menu').not(subMenu).hide();
	     $(this).toggleClass('sub-menu-item-toggle-expanded');
	     subMenu.toggle();
	     subMenu.find('ul.sub-menu').toggle();
	   });

		// re-init main menu on screen resize
		$(window).resize(function () {
	       
	    	zenether_mainMenuClear();
	    	zenether_mainMenuInit();
		});
	});

	function zenether_mainMenuClear() {

		if ( $(window).width() >= 800 ) {
		
			$('#navmain > div > ul > li:has("ul")').removeClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li:has("ul")').removeClass('level-two-sub-menu');										
		}

		if ( $('ul:first-child', $('#navmain > div') ).is( ":visible" ) ) {

			$('ul:first-child', $('#navmain > div') ).css('display', '');
		}
	}

	function zenether_mainMenuInit() {

		if ( $(window).width() >= 800 ) {
		
			$('#navmain > div > ul > li:has("ul")').addClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li:has("ul")').addClass('level-two-sub-menu');										
		}
	}

	function zenether_initMiniCartEvents() {

		$('#header-main-fixed a.cart-contents').mouseenter(function(){
	    
	    	// display mini-cart if it's not visible
	    	if ( !$('#header-main-fixed #cart-popup-content').is(":visible") ) {
	    
	      		var rightPos = ($(window).width() - ($(this).offset().left + $(this).outerWidth()));
	      		var topPos = $(this).offset().top + 20;
	    
	      		$('#header-main-fixed #cart-popup-content')
	      			.css('right', rightPos).css('top', topPos).fadeIn();
	    	}
	  	});
	  
	  	$('#header-main-fixed #cart-popup-content').mouseleave(function(){
	  
	    	$('#header-main-fixed #cart-popup-content').fadeOut();
	  	});
	}

})(jQuery);